LibreOffice: _uno_Environment Struct Reference

LibreOffice LibreOffice 6.0 SDK C/C++ API Reference

Public Attributes | List of all members
_uno_Environment Struct Reference

The binary specification of an UNO environment. More...

`#include <environment.h>`

## Public Attributes
void * | pReserved
| reserved for future use (0 if not used) More...
rtl_uString * | pTypeName
| type name of environment More...
void * | pContext
| free context pointer to be used for specific classes of environments (e.g., a jvm pointer) More...
struct _uno_ExtEnvironment * | pExtEnv
| pointer to extended environment (interface registration functionality), if supported More...
void(* | acquire )(struct _uno_Environment *pEnv)
| Acquires this environment. More...
void(* | release )(struct _uno_Environment *pEnv)
| Releases this environment; last release of environment will revoke the environment from runtime. More...
void(* | acquireWeak )(struct _uno_Environment *pEnv)
| Acquires this environment weakly. More...
void(* | releaseWeak )(struct _uno_Environment *pEnv)
| Releases this environment weakly in correspondence to acquireWeak(). More...
void(* | harden )(struct _uno_Environment **ppHardEnv, struct _uno_Environment *pEnv)
| Makes hard reference out of weak referenced environment. More...
void(* | dispose )(struct _uno_Environment *pEnv)
| Call this function to EXPLICITLY dispose this environment (e.g., release all interfaces). More...
void(* | environmentDisposing )(struct _uno_Environment *pEnv)
| CALLBACK function pointer: Disposing callback function pointer that can be set to get signalled before the environment is destroyed. More...

## Detailed Description

The binary specification of an UNO environment.

## Member Data Documentation

## ◆ acquire

void( * _uno_Environment::acquire) (struct _uno_Environment *pEnv)

Acquires this environment.

Parameters

  pEnv | this environment

## ◆ acquireWeak

void( * _uno_Environment::acquireWeak) (struct _uno_Environment *pEnv)

Acquires this environment weakly.

You can only harden a weakly held environment if it is still acquired hard (acquire()).

Parameters

  pEnv | this environment

## ◆ dispose

void( * _uno_Environment::dispose) (struct _uno_Environment *pEnv)

Call this function to EXPLICITLY dispose this environment (e.g., release all interfaces).

You may want to call this function before shutting down due to a runtime error.

Parameters

  pEnv | this environment

## ◆ environmentDisposing

void( * _uno_Environment::environmentDisposing) (struct _uno_Environment *pEnv)

CALLBACK function pointer: Disposing callback function pointer that can be set to get signalled before the environment is destroyed.

Parameters

  pEnv | environment that is being disposed

## ◆ harden

void( * _uno_Environment::harden) (struct _uno_Environment **ppHardEnv, struct _uno_Environment *pEnv)

Makes hard reference out of weak referenced environment.

You can only harden a weakly held environment if it is still acquired hard (acquire()).

Parameters

  ppHardEnv | inout hard referenced environment (has to be released via release())
  pEnv | environment (may be weak referenced)

## ◆ pContext

void* _uno_Environment::pContext

free context pointer to be used for specific classes of environments (e.g., a jvm pointer)

## ◆ pExtEnv

struct _uno_ExtEnvironment* _uno_Environment::pExtEnv

pointer to extended environment (interface registration functionality), if supported

## ◆ pReserved

void* _uno_Environment::pReserved

reserved for future use (0 if not used)

## ◆ pTypeName

rtl_uString* _uno_Environment::pTypeName

type name of environment

## ◆ release

void( * _uno_Environment::release) (struct _uno_Environment *pEnv)

Releases this environment; last release of environment will revoke the environment from runtime.

Parameters

  pEnv | this environment

## ◆ releaseWeak

void( * _uno_Environment::releaseWeak) (struct _uno_Environment *pEnv)

Releases this environment weakly in correspondence to acquireWeak().

Parameters

  pEnv | this environment

The documentation for this struct was generated from the following file:

- uno/environment.h